EDIT - bug #8500

DistributionStatusUI: Error while detaching Ul from session
08/29/2019 10:54 AM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

[flora-cuba] 2019-08-29 10:12:43,276 WARN [org.eclipse.jetty.server.session.HashSessionManager@533
0da99Timer] [org.springframework.beans.factory.support.DisposableBeanAdapter] - Invocation of dest
roy method failed on bean with n
ame 'vaadinNavigator': org.springframework.beans.factory.BeanCreationException: Error creating bea
n with name 'navigationUriFragmentManager': Scope 'vaadin-ui' is not active for the current thread
; consider defining a scoped pro
xy for this bean if you intend to refer to it from a singleton; nested exception is java.lang.Ille
galStateException: Current VaadinSession is not open
Aug 29, 2019 10:12:43 AM com.vaadin.ui.UI setSession
WARNING: Error while detaching UI from session
com.vaadin.event.ListenerMethod$MethodException: Invocation of method detach in eu.etaxonomy.cdm.v
aadin.ui.DistributionStatusUI$S$Lambda$180/630566897 failed.

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:533)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)

at com.vaadin.server.AbstractClientConnector.detach (AbstractClientConnector. java:644)

at com.vaadin.ui.AbstractComponent.detach (AbstractComponent. java:701)

at com.vaadin.ui.UI.detach(UI.java:1307)

at com.vaadin.ui.UI.setSession(UI.java:462)

at com.vaadin.server.VaadinSession.removeUI (VaadinSession. java:873)

at com.vaadin.server.VaadinService$1l$1l.run (VaadinService. java:483)

at com.vaadin.ui.UI.accessSynchronously (UI.java:1392)

at com.vaadin.server.VaadinService$l.run (VaadinService. java:471)

at java.util.concurrent.Executors$SRunnableAdapter.call (Executors.java:511)

at java.util.concurrent.FutureTask.run (FutureTask. java:266)

at com.vaadin.server.VaadinService.runPendingAccessTasks (VaadinService. java:1859)

at com.vaadin.server.VaadinSession.unlock (VaadinSession.java:994)

at com.vaadin.server.VaadinService.ensureAccessQueuePurged (VaadinService. java:1822)

at com.vaadin.server.VaadinService.accessSession (VaadinService. java:1788)

at com.vaadin.server.VaadinSession.access (VaadinSession.java:1399)

at com.vaadin.server.VaadinService.fireSessionDestroy (VaadinService.java:460)

at com.vaadin.server.VaadinSession.valueUnbound (VaadinSession. java:324)

at org.eclipse.jetty.server.session.AbstractSession.unbindvValue (AbstractSession. java:607)

at org.eclipse.jetty.server.session.MemSession.clearAttributes (MemSession.java:117)

at org.eclipse.jetty.server.session.AbstractSession.doInvalidate (AbstractSession. java:338)

at org.eclipse.jetty.server.session.HashedSession.doInvalidate (HashedSession. java:96)

at org.eclipse.jetty.server.session.AbstractSession.timeout (AbstractSession.java:317)

at org.eclipse.jetty.server.session.HashSessionManager.scavenge (HashSessionManager. java:35

at org.eclipse.jetty.server.session.HashSessionManager$Scavenger.run (HashSessionManager. ja
va:84)

at java.util.concurrent.ExecutorsS$SRunnableAdapter.call (Executors.java:511)

at java.util.concurrent.FutureTask.run (FutureTask. java:266)

at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201 (Schedul
edThreadPoolExecutor. java:180)

at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run (ScheduledThrea
dPoolExecutor. java:293)

at java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor. java:1149)

at java.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor. java:624)

at java.lang.Thread.run (Thread. java:748)
Caused by: org.springframework.beans.factory.BeanCreationException: Error creating bean with name
'viewCache': Scope 'vaadin-ui' is not active for the current thread; consider defining a scoped pr
oxy for this bean if you intend to refer to it from a singleton; nested exception is java.lang.Ill
egalStateException: Current VaadinSession is not open

at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean (AbstractBeanFac
tory.java:355)

at org.springframework.beans.factory.support.AbstractBeanFactory.getBean (AbstractBeanFacto
ry.Jjava:220)

at org.springframework.beans.factory.support.DefaultlistableBeanFactory.getBean (Defaultlis
tableBeanFactory. java:351)

at org.springframework.beans.factory.support.DefaultlListableBeanFactory.getBean (Defaultlis
tableBeanFactory. java:332)

at org.springframework.context.support.AbstractApplicationContext.getBean (AbstractApplicat
ionContext.java:1066)

at com.vaadin.spring.internal.ViewScopeImpl$BeanFactoryContextViewCacheRetrievalStrategy.g
etViewCache (ViewScopeImpl. java:132)

at com.vaadin.spring.navigator.SpringViewProvider.getViewFromApplicationContext (SpringView
Provider.java:438)

at com.vaadin.spring.navigator.SpringViewProvider.getView (SpringViewProvider. java:405)

at eu.etaxonomy.cdm.vaadin.ui.DistributionStatusUI.lambda$init$8954eecae$l (DistributionStat
usUI.java:91)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

. 34 more
Caused by: java.lang.IllegalStateException: Current VaadinSession is not open

at com.vaadin.spring.internal.UIScopelImplS$VaadinSessionBeanStoreRetrievalStrategy.getVaadi
nSession (UIScopeImpl.java:132)

at com.vaadin.spring.internal.UIScopelmplS$VaadinSessionBeanStoreRetrievalStrategy.getUISto
re (UIScopelmpl. java:139)

at com.vaadin.spring.internal.UIScopelmplS$VaadinSessionBeanStoreRetrievalStrategy.getBeanS
tore (UIScopelmpl. java:168)

at com.vaadin.spring.internal.UIScopelImpl.getBeanStore (UIScopelImpl. java:105)

at com.vaadin.spring.internal.UIScopeImpl.get (UIScopelImpl. java:81)

at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean (AbstractBeanFac
tory.java:340)

47 more

History

#1 - 08/29/2019 11:38 AM - Andreas Kohlbecker
- Assignee deleted (Andreas Kohlbecker)

- Target version changed from Reviewed Next Major Release to Unassigned CDM tickets

back to unassigned ....
